unit DMObjectBroker;
interface
uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  MConnect;

type
  TDMObjectBroker = class(TCustomObjectBroker)
  public
    procedure SetConnectStatus(ComputerName: string; Success: Boolean); override;
    function GetComputerForGUID(GUID: TGUID): string; override;
    function GetComputerForProgID(const ProgID): string; override;
    function GetPortForComputer(const ComputerName: string): Integer; override;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('DrBob42', [TDMObjectBroker]);
end;

end.
